summaryrefslogtreecommitdiffstats
path: root/runtests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:19:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:19:41 +0000
commita27c8b00ebf173659f22f53ce65679e94e7dfb1b (patch)
tree02c68ec259348b63c6328896aa73265eb7b3d730 /runtests
parentInitial commit. (diff)
downloaddebian-keyring-a27c8b00ebf173659f22f53ce65679e94e7dfb1b.tar.xz
debian-keyring-a27c8b00ebf173659f22f53ce65679e94e7dfb1b.zip
Adding upstream version 2022.12.24.upstream/2022.12.24upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'runtests')
-rwxr-xr-xruntests33
1 files changed, 33 insertions, 0 deletions
diff --git a/runtests b/runtests
new file mode 100755
index 0000000..c9c6a6a
--- /dev/null
+++ b/runtests
@@ -0,0 +1,33 @@
+#!/bin/sh
+set -e
+
+fail=0
+total=0
+
+for keyring in debian-keyring.gpg debian-maintainers.gpg debian-nonupload.gpg; do
+ if [ ! -e output/keyrings/$keyring ]; then
+ echo "** $keyring does not exist, cannot run test suite" >&2
+ exit 1
+ fi
+done
+
+export GNUPGHOME=`pwd`/gpghomedir
+mkdir "$GNUPGHOME"
+chmod 700 "$GNUPGHOME"
+
+for t in t/*.t; do
+ total=`expr $total + 1`
+ if ! $t; then
+ echo "test $t failed" >&2
+ fail=`expr $fail + 1`
+ fi
+done
+
+rm -r "$GNUPGHOME"
+
+if [ "$fail" -gt 0 ]; then
+ echo "** failed $fail/$total tests" >&2
+ exit 1
+else
+ echo "** all tests succeeded"
+fi